Subject: Mark Haedicke
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 21 May 2001 07:52:00 -0700 (PDT)

I am not sure I had mentioned this (although you may have known anyway) but 
Mark spent about 3 hours in our office this morning meeting me, Joe Hirl, 
Nick O'Day, Kimio Yamasaki and Paul Davis and Jeremy Pitts from B&M (and me 
again).  He was at an ISDA board meeting in Kyoto last week and spent the 
weekend with his son in Tokyo, enjoying the sites and seeing some local 
baseball.  He leaves this afternoon and I think he is heading back to Houston.

Great that he could come over and visit.

Jane